pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/47189: Cacti configuration file is overwritten

>Number:         47189
>Category:       pkg
>Synopsis:       Cacti configuration file is overwritten
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Nov 13 13:20:01 +0000 2012
>Originator:     Nils Ratusznik
>Release:        NetBSD-5.1.2
NetBSD <name_of_the_machine> 5.1.2 NetBSD 5.1.2 (XEN3PAE_DOMU) #0: Thu Feb  2 
17:18:36 UTC 2012
when updating net/cacti, /usr/pkg/share/cacti/include/config.php is 
overwritten. This configuration file contains the credentials to connect to 
MySQL server, and the url path to cacti.

Install and configure any older version of cacti in pkgsrc. Don't use default 
credentials provided by /usr/pkg/share/cacti/include/config.php . Then, upgrade 
to a newer version of cacti in pkgsrc (with pkgin, pkg_add or make). Try to 
browse cacti on your server : it will complain it cannot connect to the MySQL 

Home | Main Index | Thread Index | Old Index